Subject: Re: bug#51386: 29.0.50; fido-vertical-mode: ssh host completion

From: Gregory Heytings <[email-masked]>
Date: Wed, 27 Oct 2021 07:51:32 +0000

>
> As I reported before, at the moment from 'emacs -Q' and with 
> fido-vertical-mode enabled, typing one character after the trailing ':' 
> does not offer the completions I can see without fido-vertical-mode.
>

In your case both conditions apply:

1. User name and host name completion is activated only, if file name 
completion has one of the styles ‘basic’, ‘emacs21’, or ‘emacs22’.

2. Some completion styles, like ‘substring’ or ‘flex’, require to type at 
least one character after the trailing ‘:’.

The second condition could perhaps be reworded as "Some completion styles, 
like 'substring' or 'flex', require to type at least one character after 
the trailing ':' *when they come first in the completion-styles list*."